lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Muir <rcm...@gmail.com>
Subject Re: [VOTE] Lucene/Solr 4.7.2
Date Wed, 09 Apr 2014 17:48:21 GMT
On Wed, Apr 9, 2014 at 11:43 AM, Uwe Schindler <uwe@thetaphi.de> wrote:
> Hi,
>> However, I think we should back-port LUCENE-5570 to 4.7.2, especially given
>> that 4.7.2 is the last release Java 1.6 users can use, I do think it's important
to
>> fix bugs there.
>>
>> Uwe, are you very strongly against fixing that issue on 4.7.2?
>
> I am -0 here. This issue just makes debugging harder, but causes no bugs or data corrumption,
so we should not add stuff that cannot be solved natively with Java 6. LUCENE-5574 is the
real issue, LUCENE-5570 was just confusing to those who tried to understand the bug. But as
the bug is fixed, no need to fix the side-effect of 0 byte files.
>

Personally I disagree with this synopsis: the leniency makes it
difficult to catch bugs of this nature. Had fsync() simply thrown
exception instead of creating new zero byte files, Simon and I would
maybe have a lot less grey hairs

So to me doing a best effort check for java6 has real value, compared
to just doing nothing at all.

But I'm happy to release without this and at least fix the corruption
bug and make progress forwards.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message